Support

Instant Purchase

View as Markdown

API for previewing and purchasing closeout auction domains via saved payment profiles.

GET
/v1/customers/{customerId}/paymentProfiles

Path Parameters

customerId*string

Customer identifier (UUID). Use MY for the authenticated customer's own data, or supply the UUID returned by GET /v1/shoppers/{shopperId}?includes=customerId.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/customers/string/paymentProfiles"
{  "paymentProfiles": [    {      "paymentProfileId": 377693,      "currencyId": "USD",      "label": "6341",      "category": "CREDIT_CARD",      "status": "ACTIVE",      "subCategory": "Visa",      "expMonth": 7,      "expYear": 2030    }  ]}
POST
/v1/customers/{customerId}/auctions/purchases/preview

Path Parameters

customerId*string

Customer identifier (UUID). Use MY for the authenticated customer's own data, or supply the UUID returned by GET /v1/shoppers/{shopperId}?includes=customerId.

Request Body

application/json

An object containing the list of domain names to preview pricing for

Request body for previewing all-in pricing for closeout auction domains

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/customers/string/auctions/purchases/preview" \  -H "Content-Type: application/json" \  -d '{    "domains": [      "string"    ]  }'
{  "currencyId": "USD",  "auctions": [    {      "domainName": "string",      "status": "SUCCESS",      "auctionId": 690467872,      "auctionPrice": 50000000,      "totalPrice": 61990000,      "failureReason": "AUCTION_NOT_FOUND"    }  ]}
POST
/v1/customers/{customerId}/auctions/purchases

Path Parameters

customerId*string

Customer identifier (UUID). Use MY for the authenticated customer's own data, or supply the UUID returned by GET /v1/shoppers/{shopperId}?includes=customerId.

Request Body

application/json

The payment profile and list of domains to purchase

Request body for purchasing closeout auction domains

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/customers/string/auctions/purchases" \  -H "Content-Type: application/json" \  -d '{    "currencyId": "USD",    "domains": [      {        "domainName": "string",        "totalPrice": 61990000,        "acceptTos": true      }    ]  }'
{  "currencyId": "USD",  "orderDetails": {    "orderId": "4028591294"  },  "auctions": [    {      "domainName": "string",      "status": "SUCCESS",      "auctionId": 690467872,      "totalPrice": 61990000,      "failureReason": "AUCTION_NOT_FOUND"    }  ]}

Last updated on

How is this guide?